petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDSSetConstants

Set the array of constants passed to point functions

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetConstants(PetscDS prob, PetscInt numConstants, PetscScalar constants[])

Not collective

### Input Parameters

| prob | - The PetscDS object
| numConstants | - The number of constants
| constants | - The array of constants, NULL if there are none

### See Also

PetscDSGetConstants(), PetscDSCreate()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages